<!-- templates/home.html -->
{% extends 'base.html' %}

{% block title %}Session : {{ session.session_name }}{% endblock %}
{% block titlePage %}{{ session.session_name }} - Admin{% endblock %}
{% load static %}

{% block breadcrumbs %}
<li class="page-item"><a href="{% url 'home' %}" class="page-link"><span class="mif-list"></span></a></li>
<li class="page-item"><a href="{% url 'gestion_projets:session_list' %}" class="page-link">Sessions</a></li>
<li class="page-item"><a href="{% url 'gestion_projets:session_admin_view' pk=session.id %}" class="page-link">{{ session.session_name }}</a></li>
{% endblock %}

{% block menu %}
    {% include "includes/menu.html" with active_tab='tab1' %}
{% endblock %}

{% load gestion_projets_extras %}

{% block content %}
{% if request.user|has_group:"Admin" %}
<div class="m-3">
    <div class="row">
        <div class="cell-lg-6">
            <div data-role="panel"
                data-title-caption="<b>Description</b>"
                data-collapsed="false"
                data-collapsible="true">

                <div >
                    <form action="{% url 'gestion_projets:session_admin_change_description_view' session.id %}" method="POST" enctype="multipart/form-data">
                        {% csrf_token %}

                        <script type="module">
                            import { initializeCKEditor } from "{% static "js/ckeditor-init.js" %}";
                            initializeCKEditor('#description_session');
                        </script>
                        <div style="max-height: 350px !important; overflow-y: auto;">
                            <textarea id="description_session" name="description">{{ session.description|safe }}</textarea><br>
                        </div>                 
                        <center><button class="button info" title="Valider" type="submit">Valider</button></center>

                    </form>
                </div>
            </div>
        </div>
        <div class="cell-lg-6">
            <div data-role="panel"
                data-title-caption="<b>Phases</b>"
                data-collapsed="false"
                data-collapsible="true">

                <div class="row p-5">
                    <div class="cell-lg-6"><div><p><b>Date de début :</b> {{ session.session_start }}</p></div></div>
                    <div class="cell-lg-6"><div><p><b>Date de fin :</b> {{ session.session_end }}</p></div></div>
                </div>

                <div class="p-5" data-role="stepper" data-steps="4" data-step="{{ session.phase }}"></div>

                <div class="row">
                    <div class="cell-2 text-left pl-5">Sujets</div><div class="cell-4 text-center">Groupes</div>
                    <div class="cell-4 text-center">Réalisation</div><div class="cell-2 text-right pr-5">Fin</div>
                </div>

                <div class="row p-5">
                    <form  class="cell-lg-12" action="{% url 'gestion_projets:session_admin_change_phase_view' session.id %}" method="POST" enctype="multipart/form-data">
                        {% csrf_token %}

                        <div class="ld-3"><input type="number" id="phase_session" name="phase" min="0" max="4" value="{{ session.phase }}"> </div>
                        <div class="ld-3"><button class="button info" title="Modifier la phase" type="submit">Modifier</button> </div>

                    </form>  
                </div>
            </div>
        </div>

    </div>
</div>

<div class="m-3">
    <div class="row">
        <div class="cell-lg-6">
            <div data-role="panel"
                data-title-caption="<b>Liste des membres de la session</b>"
                data-collapsed="true"
                data-collapsible="true">

                <table class="table striped row-border" data-role="table" data-show-search="true" data-show-rows-steps="false" data-table-search-title="Rechercher : " style="max-width:100%;" data-cell-wrapper="false">
                    <thead>
                        <tr>
                            <th data-size="40%">Membre</th>
                            <th data-size="20%">Statut</th>
                            <th data-size="20%">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for member in members %}
                        <tr>
                            <td style="max-width:10%;">{{ member.first_name }} {{ member.last_name }}</td>
                            <td >
                            <!-- Group Student ----------------------->
                            {% if member|has_group:"Student" %} Etudiant {% endif %}

                            <!-- Group Tutor ------------------------->
                            {% if member|has_group:"Tutor" %}Tuteur {% endif %}

                            <!-- Group Admin ------------------------->
                            {% if member|has_group:"Admin" %}Admin{% endif %}
                            </td>
                            <td >
                            {% if not member|has_group:"Admin" %}
                                <a class="image-button warning" href="{% url 'gestion_projets:session_admin_remove_members_view' session.id member.id %}" >
                                    <span class="mif-file-text icon"></span>
                                    <span class="caption">Delete</span>
                                </a>
                            {% endif %}
                            </td>
                        </tr>    
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>

        <div class="cell-lg-6">
            <div data-role="panel"
                data-title-caption="<b>Ajout de membres à la session</b>"
                data-collapsed="true"
                data-collapsible="true">

                <form action="{% url 'gestion_projets:session_admin_add_members_view' session.id %}" method="POST" enctype="multipart/form-data">
                    {% csrf_token %}

                    <textarea id="list_members" name="description" rows="20" data-role="textarea" data-prepend="<span class='mif-user'></span>" >prenom1.nom1
prenom2.nom2</textarea>
                    <small class="text-muted">Liste des identifiants prenom.nom des utilisateurs.</small>
                                                
                    <center><button class="button info" title="Ajouter des membres" type="submit">Soumettre</button></center>

                </form>  
            </div>
        </div>

        <div class="cell-lg-6">
            <div data-role="panel"
                data-title-caption="<b>Statistiques tuteurs</b>"
                data-collapsed="true"
                data-collapsible="true">

                <table class="table striped row-border" data-role="table" data-show-search="true" data-show-rows-steps="false" data-table-search-title="Rechercher : " style="max-width:100%;" data-cell-wrapper="false">
                    <thead>
                        <tr>
                            <th data-size="40%">Membre</th>
                            <th data-size="20%" class="sortable-column sort-desc">Nombre de Projets</th>
                            <th data-size="20%" class="sortable-column sort-desc">Nombre de CR non validé</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for member in members %}
                        {% if member|has_group:"Tutor" %}
                            <tr>
                                <td style="max-width:10%;">{{ member.first_name }} {{ member.last_name }}</td>
                                <td>
                                    {{ member|count_projects_session_user:session }}
                                </td>
                                <td>
                                    {{ member|count_projects_validation_user:session }}

                                </td>
                            </tr>    
                        {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>

    </div>

</div>

<div class="m-3">
    <div data-role="panel"
    data-title-caption="<b>TODO Admin Panel</b>"
    data-collapsed="true"
    data-collapsible="true">
    
        <p>Modifier dates debut/fin</p>
        <p>Modifier Mode group</p>

    </div>
</div>
{% endif %}
{% endblock %}
